# Interface GangContext

public interface GangContext
Supplies additional plot-time information about multi-zone requirements.

Since:
  16 Aug 2023
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Plotter<?>[]`
`getPlotters()`
Returns the list of plotters that will contribute to the plot.
`String[]`
`getRequestedZoneNames()`
Returns the list of zone names associated with the zones being plotted.

## Method Details

### getPlotters

Plotter<?>[] getPlotters()
Returns the list of plotters that will contribute to the plot.

Returns:
  array of plotters, one per plotted layer

### getRequestedZoneNames

String[] getRequestedZoneNames()
Returns the list of zone names associated with the zones being plotted. This may influence gang creation for GangerFactories with `GangerFactory.hasIndependentZones()`=true.

Returns:
  array of requested zone names